Bug 1286572 - [FEAT] DHT - rebalance - rebalance status o/p should be different for 'fix-layout' option, it should not show 'Rebalanced-files' , 'Size', 'Scanned' etc as it is not migrating any files.
Summary: [FEAT] DHT - rebalance - rebalance status o/p should be different for 'fix-la...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: distribute
Version: rhgs-3.1
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
: RHGS 3.2.0
Assignee: Nithya Balachandran
QA Contact: Prasad Desala
URL:
Whiteboard: triaged, dht-rebalance-usability, dht...
Depends On: 890640
Blocks: 1351503 1351530
TreeView+ depends on / blocked
 
Reported: 2015-11-30 09:33 UTC by Susant Kumar Palai
Modified: 2018-12-01 17:32 UTC (History)
12 users (show)

Fixed In Version: glusterfs-3.8.4-1
Doc Type: Enhancement
Doc Text:
Previously, the output of the 'gluster volume rebalance VOLNAME status' command attempted to display status details for fix-layout operations despite this operation not populating the output with details of rebalanced files, scanned files, failures, and size. The unpopulated sections have now been removed so that only status and elapsed time on each node are shown.
Clone Of: 890640
Environment:
Last Closed: 2017-03-23 05:25:17 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0486 normal SHIPPED_LIVE Moderate: Red Hat Gluster Storage 3.2.0 security, bug fix, and enhancement update 2017-03-23 09:18:45 UTC

Comment 8 Prasad Desala 2016-11-25 07:03:06 UTC
Verified this BZ on glusterfs version: 3.8.4-5.el7rhgs.x86_64.

When rebalance is started with fix-layout option, the rebalance status output is now showing the status of layout fixing.

Moving this BZ to Verified, will raise a new BZ if any on this separately.

Comment 12 errata-xmlrpc 2017-03-23 05:25:17 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0486.html


Note You need to log in before you can comment on or make changes to this bug.